## ayatana-indicator-power 2.1.2-0+git20211020.1222+11.nightly.1

=== CMakeLists.txt ===
project(ayatana-indicator-power C CXX)
cmake_minimum_required(VERSION 3.13)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(PROJECT_VERSION "2.1.2")
set(PACKAGE ${CMAKE_PROJECT_NAME})

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

##
##  GNU standard installation directories
##

include (GNUInstallDirs)
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-power")
add_definitions(
  -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
  -DG_LOG_DOMAIN="${GETTEXT_PACKAGE}"
  -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
  -DLOW_BATTERY_SOUND="Low battery.ogg"
)

##
##  Check for prerequisites
##

set(SERVICE_LIB "ayatanaindicatorpowerservice")
set(SERVICE_EXEC "ayatana-indicator-power-service")
add_definitions(-DSERVICE_EXEC="${SERVICE_EXEC}")

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

pkg_check_modules(SERVICE_DEPS REQUIRED
                  glib-2.0>=2.36
                  gio-2.0>=2.36
                  gio-unix-2.0>=2.36
                  libnotify>=0.7.6
                  libayatana-common>=0.9.1)

include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.Sound.xml")
  set (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS ON)
  add_definitions ( -DHAS_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS )
else()
  set (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS OFF)
endif()

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actual building
##

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Weverything")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-c++98-compat -Wno-padded") # these are annoying
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-documentation") # gtk-doc != doxygen
else()
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wformat=2") # Use -Wextra and -Wpedantic explicitly if needed
endif()
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-missing-field-initializers") # GActionEntry


include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)


# testing & coverage
if (ENABLE_TESTS)
    enable_testing ()
    add_subdirectory(tests)
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
            TESTS ${COVERAGE_TEST_TARGETS}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif ()
endif ()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

include (UseGSettings)
set (SCHEMA_NAME "org.ayatana.indicator.power.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C")
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})
    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##  Ayatana Indicators File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.power")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

##
##  Sounds
##

# where to install
set (DATA_HOME "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME}")
message (STATUS "${DATA_HOME} is the sounds/ install dir")
install (DIRECTORY sounds DESTINATION ${DATA_HOME})

=== src/CMakeLists.txt ===
# handwritten sources
set(SERVICE_MANUAL_SOURCES
    brightness.c
    datafiles.c
    device-provider-mock.c
    device-provider-upower.c
    device-provider.c
    device.c
    flashlight.c
    notifier.c
    testing.c
    service.c
    utils.c)

# generated sources
include(GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-repowerd
                                 com.lomiri
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/src/com.lomiri.Repowerd.xml)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-battery
                                 org.ayatana.indicator.power
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Battery.xml)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-testing
                                 org.ayatana.indicator.power
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Testing.xml)

if (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
    add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-accounts-sound
                                     com.ubuntu.touch
                                     Dbus
                                     /usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.Sound.xml)
endif()

# add the bin dir to our include path so the code can find the generated header files
include_directories(${CMAKE_CURRENT_BINARY_DIR})


# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-bad-function-cast") # g_clear_object()
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-switch-enum")
set_source_files_properties(${SERVICE_MANUAL_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")

# the service library for tests to link against (basically, everything except main())
add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# the executable: lib + main()
add_executable (${SERVICE_EXEC} main.c)
set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
find_package(GMock)
include_directories(${GMOCK_INCLUDE_DIRS})

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# add warnings
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${C_WARNING_ARGS}")

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# make a XDG_DATA_HOME for sounds/
set(XDG_DATA_HOME "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_DATADIR}")
add_definitions(-DXDG_DATA_HOME="${XDG_DATA_HOME}")
file(COPY "${CMAKE_SOURCE_DIR}/data/sounds" DESTINATION "${XDG_DATA_HOME}/${CMAKE_PROJECT_NAME}")

# GSettings:
# compile the ayatana-indicator-power schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.power.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

add_custom_target(
    gschemas-compiled ALL DEPENDS gschemas.compiled
)

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})

###
###

function(add_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cc)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test (${TEST_NAME} ${TEST_NAME})
  add_dependencies (${TEST_NAME} ${SERVICE_LIB} gschemas-compiled)
  target_link_libraries (${TEST_NAME} ${SERVICE_LIB} ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_test_by_name(test-notify)
add_test(NAME dear-reader-the-next-test-takes-80-seconds COMMAND true)
add_test_by_name(test-device)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-power (2.1.2-0+git20211020.1222+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    8cae720697d84061f1b6bac0e3729d96731bc65d).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 20 Oct 2021 21:00:46 +0200

ayatana-indicator-power (2.1.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 17:05:22 +0100

ayatana-indicator-power (2.1.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:30:52 +0200

ayatana-indicator-power (2.0.95-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 25 Jul 2020 13:19:45 +0200

ayatana-indicator-power (2.0.94-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 21 Nov 2019 11:13:35 +0100

ayatana-indicator-power (2.0.93-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 16 Mar 2018 15:15:05 +0100

ayatana-indicator-power (2.0.92-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 20:50:46 +0100

ayatana-indicator-power (2.0.91-0) unstable; urgency=medium

  * Fork from Ubuntu's indicator-power code project.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Jun 2017 16:26:11 +0200

indicator-power (12.10.6+15.10.20151005.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Sebastien Bacher ]
  * under unity8 start system-settings instead unity-control-center (LP:
    #1489482)

 -- Charles Kerr <charles.kerr@canonical.com>  Mon, 05 Oct 2015 18:44:21 +0000

indicator-power (12.10.6+15.10.20150522-0ubuntu1) wily; urgency=medium

  [ Charles Kerr ]
  * When powerd updates the backlight brightness, update the indicator
    slider to show the new value. (LP: #1370791)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 22 May 2015 17:54:53 +0000

indicator-power (12.10.6+15.10.20150515-0ubuntu1) wily; urgency=medium

  [ Charles Kerr ]
  * Fix timing issue that caused "Adjust brightness automatically"
    menuitem to sometimes not be shown. (LP: #1382861)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 15 May 2015 16:40:33 +0000

indicator-power (12.10.6+15.04.20150402-0ubuntu1) vivid; urgency=medium

  [ Marc Deslauriers ]
  * Change sort order to prefer items with known time remaining

  [ Ubuntu MATE Developers ]
  * This merge proposal adds support for MATE Desktop.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 02 Apr 2015 20:31:02 +0000

indicator-power (12.10.6+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * For the brightness slider, use the same left & right icons as ubunu-
    system-settings (LP: #1289465)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 20:24:46 +0000

indicator-power (12.10.6+15.04.20150212-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Use the new power level icons for a more accurate display of the
    battery level. (LP: #1388235)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 12 Feb 2015 22:45:30 +0000

indicator-power (12.10.6+15.04.20150130-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Publish the primary device's state for on the bus. (LP: #1416096)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Jan 2015 22:51:49 +0000

indicator-power (12.10.6+15.04.20141203-0ubuntu1) vivid; urgency=low

  [ Charles Kerr ]
  * Show the phone menu in the phone greeter.

  [ Christopher Lee ]
  * Fix some minor typos in power testing xml file.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Dec 2014 16:26:04 +0000

indicator-power (12.10.6+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * List missing source for translations

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 20:55:53 +0000

indicator-power (12.10.6+14.10.20141015-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add mock battery support to make QA testing easier. (LP: #1373511)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 Oct 2014 02:46:03 +0000

indicator-power (12.10.6+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Remove the border around the icon when showing a low battery
    notification. (LP: #1378411)

  [ Cody Garver ]
  * Add Switchboard as alternative recommend (LP: #1291051)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:42:16 +0000

indicator-power (12.10.6+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Move the position of this indicator on the panel. (LP: #1377294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 17:31:07 +0000

indicator-power (12.10.6+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Restore the the brightness slider and have the brightness setting
    persist between reboots. (LP: #1289470)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 18:49:45 +0000

indicator-power (12.10.6+14.10.20140909-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add support for UPower 0.99. (LP: #1330037)


=== debian/control ===
Source: ayatana-indicator-power
Section: nightly/gnome
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libayatana-common-dev (>= 0.9.1),
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               accountsservice-ubuntu-schemas | hello,
# for packaging
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest | google-mock,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.2.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings,
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)


%:
	dh $@ --with systemd

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-power -name \*.la -delete
	find debian/ayatana-indicator-power -name \*.a -delete
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-power 2.1.2-0+git20211021.1224+11.nightly.1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##  GSettings schema
 ##
 
-include (UseGSettings)
+find_package(GSettings)
 set (SCHEMA_NAME "org.ayatana.indicator.power.gschema.xml")
 set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
@@ -11,8 +11,9 @@
 set (ENV{LC_ALL} "C")
 execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
 
-# let UseGSettings do the rest
-add_schema (${SCHEMA_FILE})
+# let GSettings do the rest
+set(GSETTINGS_COMPILE ON)
+add_schema (${SCHEMA_NAME})
 
 ##
 ##  Systemd Unit File

=== debian/changelog ===
ayatana-indicator-power (2.1.2-0+git20211021.1224+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    31defa19689dba0eb1a59041441656198d610122).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 21 Oct 2021 11:05:42 +0200

## ayatana-indicator-power 22.2.0

=== CMakeLists.txt ===
project(ayatana-indicator-power C CXX)
cmake_minimum_required(VERSION 3.13)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(PROJECT_VERSION "22.2.0")
set(PACKAGE ${CMAKE_PROJECT_NAME})

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

add_definitions("-Wno-sign-compare") # Needed for GTest on Ubuntu

##
##  GNU standard installation directories
##

include (GNUInstallDirs)

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-power")
add_definitions(
  -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
  -DG_LOG_DOMAIN="${GETTEXT_PACKAGE}"
  -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
  -DLOW_BATTERY_SOUND="LowBattery.ogg"
)

##
##  Check for prerequisites
##

set(SERVICE_LIB "ayatanaindicatorpowerservice")
set(SERVICE_EXEC "ayatana-indicator-power-service")
add_definitions(-DSERVICE_EXEC="${SERVICE_EXEC}")

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

set(
    SERVICE_DEPS REQUIRED
    glib-2.0>=2.36
    gio-2.0>=2.36
    gio-unix-2.0>=2.36
    libnotify>=0.7.6
    libayatana-common>=0.9.1
)

if (ENABLE_LOMIRI_FEATURES)
    list (
        APPEND
        SERVICE_DEPS
        lomiri-schemas
    )
    add_definitions (-DLOMIRI_FEATURES_ENABLED)
endif ()

pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

# testing & coverage
if (ENABLE_TESTS)
    enable_testing ()
    add_subdirectory(tests)
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
            TESTS ${COVERAGE_TEST_TARGETS}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif ()
endif ()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 ##  GSettings schema
 ##
 
-find_package(GSettings)
 set (SCHEMA_NAME "org.ayatana.indicator.power.gschema.xml")
 set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
 
 # generate the .xml file using intltool
+find_package(Intltool REQUIRED)
 set (ENV{LC_ALL} "C")
-execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let GSettings do the rest
-set(GSETTINGS_COMPILE ON)
+find_package(GSettings REQUIRED)
 add_schema (${SCHEMA_NAME})
 
 ##
@@ -29,7 +29,6 @@
     set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
     # build it
-    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
     configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
     # install it
@@ -50,7 +49,6 @@
 set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
 
 # build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
 configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
 
 # install it
@@ -69,12 +67,3 @@
 
 install (FILES "${AYATANA_INDICATOR_FILE}"
          DESTINATION "${AYATANA_INDICATOR_DIR}")
-
-##
-##  Sounds
-##
-
-# where to install
-set (DATA_HOME "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME}")
-message (STATUS "${DATA_HOME} is the sounds/ install dir")
-install (DIRECTORY sounds DESTINATION ${DATA_HOME})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,23 +28,15 @@
                                  Dbus
                                  ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Testing.xml)
 
-if (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
+if (ENABLE_LOMIRI_FEATURES)
     add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-accounts-sound
-                                     com.ubuntu.touch
+                                     com.lomiri.touch
                                      Dbus
-                                     /usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.Sound.xml)
+                                     /usr/share/accountsservice/interfaces/com.lomiri.touch.AccountsService.Sound.xml)
 endif()
 
 # add the bin dir to our include path so the code can find the generated header files
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
-
-
-# add warnings/coverage info on handwritten files
-# but not the autogenerated ones...
-set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-bad-function-cast") # g_clear_object()
-set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-switch-enum")
-set_source_files_properties(${SERVICE_MANUAL_SOURCES}
-                            PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")
 
 # the service library for tests to link against (basically, everything except main())
 add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
@@ -53,6 +45,5 @@
 
 # the executable: lib + main()
 add_executable (${SERVICE_EXEC} main.c)
-set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")
 target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
-install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})
+install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,18 +6,10 @@
                   dbustest-1>=14.04.0)
 include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})
 
-# add warnings
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${C_WARNING_ARGS}")
-
 # build the necessary schemas
 set_directory_properties (PROPERTIES
                           ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
 set_source_files_properties (gschemas.compiled GENERATED)
-
-# make a XDG_DATA_HOME for sounds/
-set(XDG_DATA_HOME "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_DATADIR}")
-add_definitions(-DXDG_DATA_HOME="${XDG_DATA_HOME}")
-file(COPY "${CMAKE_SOURCE_DIR}/data/sounds" DESTINATION "${XDG_DATA_HOME}/${CMAKE_PROJECT_NAME}")
 
 # GSettings:
 # compile the ayatana-indicator-power schema into a gschemas.compiled file in this directory,

=== debian/changelog ===
ayatana-indicator-power (22.2.0-1ubuntu0) jammy; urgency=medium

  * debian/patches:
    + Add 1000_add-gaming-input-devices.patch. (LP: #1967854)

 -- Martin Wimpress <code@wimpress.io>  Tue, 05 Apr 2022 12:44:04 +0100

ayatana-indicator-power (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-Ds: lomiri-sounds and lomiri-schemas.
  * debian/rules:
    + Add build flag -DENABLE_LOMIRI_FEATURES.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Feb 2022 15:54:35 +0100

ayatana-indicator-power (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_lomiri-url-dispatcher.patch. Replaced otherwise in this
      upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
    + Drop comment for po/*.po. Not applicable anymore.
  * debian/rules:
    + Adjust for upstream release 2.2.0.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Drop B-D on liblomiri-url-dispatcher-dev.
    + Add B-D on libayatana-common-dev instead.
    + Update S: field (for XFCE, for Budgie).
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 15:49:02 +0100

=== debian/control ===
Source: ayatana-indicator-power
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-5~),
               gcovr,
               lcov,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               libayatana-common-dev (>= 0.9.5),
# for lomiri features
               lomiri-schemas (>= 0.1.1),
               lomiri-sounds (>= 22.02),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest,
               pkg-config,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1),
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-power 22.2.0-0+git20220914.1303+10.nightly.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,8 +79,13 @@
         APPEND
         SERVICE_DEPS
         lomiri-schemas
+        lomiri-sounds
     )
-    add_definitions (-DLOMIRI_FEATURES_ENABLED)
+    pkg_get_variable(LOMIRI_SOUNDSDIR lomiri-sounds soundsdir)
+    add_definitions (
+        -DLOMIRI_FEATURES_ENABLED
+        -DLOMIRI_SOUNDSDIR="${LOMIRI_SOUNDSDIR}"
+    )
 endif ()
 
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})

=== debian/changelog ===
ayatana-indicator-power (22.2.0-0+git20220914.1303+10.nightly.1) buster; urgency=medium

  * Development-Snapshot!!! Auto-built Debian buster package for
    packages.arctica-project.org repository (Git commit:
    0aa1bc1ff263b883e0e91cb5760d6048fb882bba).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 14 Sep 2022 14:29:52 +0200

ayatana-indicator-power (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 20 Feb 2022 15:34:34 +0100

ayatana-indicator-power (2.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Nov 2021 16:35:55 +0100

## ayatana-indicator-power 22.9.0

=== debian/changelog ===
ayatana-indicator-power (22.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1015055).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:13:09 +0200

## ayatana-indicator-power 22.9.0-0+git20221020.1310+12.nightly.1

=== debian/changelog ===
ayatana-indicator-power (22.9.0-0+git20221020.1310+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    2b2ee5a8610f20e51509a709a114826219051b2e).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 20 Oct 2022 12:16:00 +0200

ayatana-indicator-power (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:25:46 +0200

=== debian/control ===
Source: ayatana-indicator-power
Section: nightly/gnome
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libayatana-common-dev (>= 0.9.1),
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               lomiri-common-schemas | hello,
# for packaging
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest | google-mock,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.2.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings,
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.

## ayatana-indicator-power 22.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "22.2.0")
+set(PROJECT_VERSION "22.9.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== debian/changelog ===
ayatana-indicator-power (22.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Nov 2022 10:12:30 +0100

ayatana-indicator-power (22.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Nov 2022 22:10:06 +0100

=== debian/control ===
Source: ayatana-indicator-power
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-5~),
               gcovr,
               lcov,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               libayatana-common-dev (>= 0.9.5),
# for lomiri features
               lomiri-schemas (>= 0.1.1),
               lomiri-sounds (>= 22.02),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest,
               pkg-config,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1),
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-power 22.9.4

=== debian/changelog ===
ayatana-indicator-power (22.9.4-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Rework D:/R:/S: fields for Lomiri.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + B-D: Drop versioned constraint on dpkg-dev, libglib2.0-dev and
      libnotify-dev.
    * ayatana-indicator-power: Drop versioned constraint on
      gnome-control-center in Suggests.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 09:39:19 +0100

## ayatana-indicator-power 22.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "22.9.0")
+set(PROJECT_VERSION "22.9.4")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== debian/changelog ===
ayatana-indicator-power (22.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 23:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,14 @@
                cmake-extras (>= 1.5-5~),
                gcovr,
                lcov,
-               libnotify-dev (>= 0.7.6),
-               libglib2.0-dev (>= 2.36),
+               libnotify-dev,
+               libglib2.0-dev,
                libayatana-common-dev (>= 0.9.5),
 # for lomiri features
                lomiri-schemas (>= 0.1.1),
                lomiri-sounds (>= 22.02),
 # for packaging
                debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                intltool,
 # for tests
                libgtest-dev,
@@ -28,7 +27,7 @@
                libdbustest1-dev,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
@@ -39,13 +38,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
-         upower,
-Recommends: mate-indicator-applet | xfce4-indicator-plugin,
+         upower | repowerd,
+Recommends: mate-indicator-applet | xfce4-indicator-plugin | lomiri,
             zenity,
-Suggests: powerd,
-          unity-system-compositor (>= 0.0.4),
-          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1),
-          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
+Suggests: lomiri-system-compositor,
+          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center | lomiri-system-settings,
+          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics | lomiri-system-settings,
 Breaks: indicator-power,
 Replaces: indicator-power,
 Description: Ayatana Indicator showing power state

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 DEB_CMAKE_EXTRA_FLAGS = \
+    -DENABLE_LOMIRI_FEATURES=ON \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
     $(NULL)
 
-
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -25,10 +25,13 @@
 override_dh_install:
 	find debian/ayatana-indicator-power -name \*.la -delete
 	find debian/ayatana-indicator-power -name \*.a -delete
-	dh_install --fail-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
